/*
 * Copyright (c) 2016, The Linux Foundation. All rights reserved.
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * version 2 and only version 2 as published by the Free Software
 * Foundation. This program is distributed in the hope that it
 * will be useful, but WITHOUT ANY WARRANTY; without even the
 * implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
 * PURPOSE. See the GNU General Public License for more details. 
 */
 
#ifndef _SOC_FC__GPIO_VDIFM
#define _SOC_FC__GPIO_VDIFM

#define _GPIO_VDIFM_MODULE_BASE                  0x13300000

#define rGPIO_VDIFM_CFG_GNSS_0                    (*(volatile unsigned *) 0x13300000U)
#define rGPIO_VDIFM_CFG_GNSS_1                    (*(volatile unsigned *) 0x13300004U)
#define rGPIO_VDIFM_CFG_GNSS_2                    (*(volatile unsigned *) 0x13300008U)
#define rGPIO_VDIFM_CFG_GNSS_3                    (*(volatile unsigned *) 0x1330000CU)
#define rGPIO_VDIFM_CFG_GNSS_4                    (*(volatile unsigned *) 0x13300010U)
#define rGPIO_VDIFM_CFG_GNSS_5                    (*(volatile unsigned *) 0x13300014U)
#define rGPIO_VDIFM_CFG_GNSS_6                    (*(volatile unsigned *) 0x13300018U)
#define rGPIO_VDIFM_CFG_GNSS_7                    (*(volatile unsigned *) 0x1330001CU)
#define rGPIO_VDIFM_CFG_GNSS_8                    (*(volatile unsigned *) 0x13300020U)
#define rGPIO_VDIFM_CFG_GNSS_9                    (*(volatile unsigned *) 0x13300024U)
#define rGPIO_VDIFM_CFG_GNSS_10                   (*(volatile unsigned *) 0x13300028U)
#define rGPIO_VDIFM_CFG_GNSS_11                   (*(volatile unsigned *) 0x1330002CU)
#define rGPIO_VDIFM_CFG_GNSS_12                   (*(volatile unsigned *) 0x13300030U)
#define rGPIO_VDIFM_CFG_GNSS_13                   (*(volatile unsigned *) 0x13300034U)
#define rGPIO_VDIFM_CFG_GNSS_14                   (*(volatile unsigned *) 0x13300038U)
#define rGPIO_VDIFM_CFG_GNSS_15                   (*(volatile unsigned *) 0x1330003CU)
#define rGPIO_VDIFM_CFG_GNSS_16                   (*(volatile unsigned *) 0x13300040U)
#define rGPIO_VDIFM_CFG_GNSS_17                   (*(volatile unsigned *) 0x13300044U)
#define rGPIO_VDIFM_CFG_GNSS_18                   (*(volatile unsigned *) 0x13300048U)
#define rGPIO_VDIFM_STATUS_GNSS                   (*(volatile unsigned *) 0x1330008CU)
#define rGPIO_VDIFM_CFG_LCD_VIP_0                 (*(volatile unsigned *) 0x13300100U)
#define rGPIO_VDIFM_CFG_LCD_VIP_1                 (*(volatile unsigned *) 0x13300104U)
#define rGPIO_VDIFM_CFG_LCD_VIP_2                 (*(volatile unsigned *) 0x13300108U)
#define rGPIO_VDIFM_CFG_LCD_VIP_3                 (*(volatile unsigned *) 0x1330010CU)
#define rGPIO_VDIFM_CFG_LCD_VIP_4                 (*(volatile unsigned *) 0x13300110U)
#define rGPIO_VDIFM_CFG_LCD_VIP_5                 (*(volatile unsigned *) 0x13300114U)
#define rGPIO_VDIFM_CFG_LCD_VIP_6                 (*(volatile unsigned *) 0x13300118U)
#define rGPIO_VDIFM_CFG_LCD_VIP_7                 (*(volatile unsigned *) 0x1330011CU)
#define rGPIO_VDIFM_CFG_LCD_VIP_8                 (*(volatile unsigned *) 0x13300120U)
#define rGPIO_VDIFM_CFG_LCD_VIP_9                 (*(volatile unsigned *) 0x13300124U)
#define rGPIO_VDIFM_CFG_LCD_VIP_10                (*(volatile unsigned *) 0x13300128U)
#define rGPIO_VDIFM_CFG_LCD_VIP_11                (*(volatile unsigned *) 0x1330012CU)
#define rGPIO_VDIFM_CFG_LCD_VIP_12                (*(volatile unsigned *) 0x13300130U)
#define rGPIO_VDIFM_CFG_LCD_VIP_13                (*(volatile unsigned *) 0x13300134U)
#define rGPIO_VDIFM_CFG_LCD_VIP_14                (*(volatile unsigned *) 0x13300138U)
#define rGPIO_VDIFM_CFG_LCD_VIP_15                (*(volatile unsigned *) 0x1330013CU)
#define rGPIO_VDIFM_CFG_LCD_VIP_16                (*(volatile unsigned *) 0x13300140U)
#define rGPIO_VDIFM_CFG_LCD_VIP_17                (*(volatile unsigned *) 0x13300144U)
#define rGPIO_VDIFM_CFG_LCD_VIP_18                (*(volatile unsigned *) 0x13300148U)
#define rGPIO_VDIFM_CFG_LCD_VIP_19                (*(volatile unsigned *) 0x1330014CU)
#define rGPIO_VDIFM_CFG_LCD_VIP_20                (*(volatile unsigned *) 0x13300150U)
#define rGPIO_VDIFM_CFG_LCD_VIP_21                (*(volatile unsigned *) 0x13300154U)
#define rGPIO_VDIFM_CFG_LCD_VIP_22                (*(volatile unsigned *) 0x13300158U)
#define rGPIO_VDIFM_CFG_LCD_VIP_23                (*(volatile unsigned *) 0x1330015CU)
#define rGPIO_VDIFM_CFG_LCD_VIP_24                (*(volatile unsigned *) 0x13300160U)
#define rGPIO_VDIFM_CFG_LCD_VIP_25                (*(volatile unsigned *) 0x13300164U)
#define rGPIO_VDIFM_CFG_LCD_VIP_26                (*(volatile unsigned *) 0x13300168U)
#define rGPIO_VDIFM_CFG_LCD_VIP_27                (*(volatile unsigned *) 0x1330016CU)
#define rGPIO_VDIFM_CFG_LCD_VIP_28                (*(volatile unsigned *) 0x13300170U)
#define rGPIO_VDIFM_CFG_LCD_VIP_29                (*(volatile unsigned *) 0x13300174U)
#define rGPIO_VDIFM_CFG_LCD_VIP_30                (*(volatile unsigned *) 0x13300178U)
#define rGPIO_VDIFM_CFG_LCD_VIP_31                (*(volatile unsigned *) 0x1330017CU)
#define rGPIO_VDIFM_STATUS_LCD_VIP                (*(volatile unsigned *) 0x1330018CU)
#define rGPIO_VDIFM_CFG_SDIO_I2S_0                (*(volatile unsigned *) 0x13300200U)
#define rGPIO_VDIFM_CFG_SDIO_I2S_1                (*(volatile unsigned *) 0x13300204U)
#define rGPIO_VDIFM_CFG_SDIO_I2S_2                (*(volatile unsigned *) 0x13300208U)
#define rGPIO_VDIFM_CFG_SDIO_I2S_3                (*(volatile unsigned *) 0x1330020CU)
#define rGPIO_VDIFM_CFG_SDIO_I2S_4                (*(volatile unsigned *) 0x13300210U)
#define rGPIO_VDIFM_CFG_SDIO_I2S_5                (*(volatile unsigned *) 0x13300214U)
#define rGPIO_VDIFM_CFG_SDIO_I2S_6                (*(volatile unsigned *) 0x13300218U)
#define rGPIO_VDIFM_CFG_SDIO_I2S_7                (*(volatile unsigned *) 0x1330021CU)
#define rGPIO_VDIFM_CFG_SDIO_I2S_8                (*(volatile unsigned *) 0x13300220U)
#define rGPIO_VDIFM_CFG_SDIO_I2S_9                (*(volatile unsigned *) 0x13300224U)
#define rGPIO_VDIFM_CFG_SDIO_I2S_10               (*(volatile unsigned *) 0x13300228U)
#define rGPIO_VDIFM_CFG_SDIO_I2S_11               (*(volatile unsigned *) 0x1330022CU)
#define rGPIO_VDIFM_CFG_SDIO_I2S_12               (*(volatile unsigned *) 0x13300230U)
#define rGPIO_VDIFM_CFG_SDIO_I2S_13               (*(volatile unsigned *) 0x13300234U)
#define rGPIO_VDIFM_CFG_SDIO_I2S_14               (*(volatile unsigned *) 0x13300238U)
#define rGPIO_VDIFM_CFG_SDIO_I2S_15               (*(volatile unsigned *) 0x1330023CU)
#define rGPIO_VDIFM_CFG_SDIO_I2S_16               (*(volatile unsigned *) 0x13300240U)
#define rGPIO_VDIFM_CFG_SDIO_I2S_17               (*(volatile unsigned *) 0x13300244U)
#define rGPIO_VDIFM_CFG_SDIO_I2S_18               (*(volatile unsigned *) 0x13300248U)
#define rGPIO_VDIFM_CFG_SDIO_I2S_19               (*(volatile unsigned *) 0x1330024CU)
#define rGPIO_VDIFM_CFG_SDIO_I2S_20               (*(volatile unsigned *) 0x13300250U)
#define rGPIO_VDIFM_CFG_SDIO_I2S_21               (*(volatile unsigned *) 0x13300254U)
#define rGPIO_VDIFM_CFG_SDIO_I2S_22               (*(volatile unsigned *) 0x13300258U)
#define rGPIO_VDIFM_CFG_SDIO_I2S_23               (*(volatile unsigned *) 0x1330025CU)
#define rGPIO_VDIFM_CFG_SDIO_I2S_24               (*(volatile unsigned *) 0x13300260U)
#define rGPIO_VDIFM_CFG_SDIO_I2S_25               (*(volatile unsigned *) 0x13300264U)
#define rGPIO_VDIFM_CFG_SDIO_I2S_26               (*(volatile unsigned *) 0x13300268U)
#define rGPIO_VDIFM_CFG_SDIO_I2S_27               (*(volatile unsigned *) 0x1330026CU)
#define rGPIO_VDIFM_CFG_SDIO_I2S_28               (*(volatile unsigned *) 0x13300270U)
#define rGPIO_VDIFM_STATUS_SDIO_I2S               (*(volatile unsigned *) 0x1330028CU)
#define rGPIO_VDIFM_CFG_SP_RGMII_0                (*(volatile unsigned *) 0x13300300U)
#define rGPIO_VDIFM_CFG_SP_RGMII_1                (*(volatile unsigned *) 0x13300304U)
#define rGPIO_VDIFM_CFG_SP_RGMII_2                (*(volatile unsigned *) 0x13300308U)
#define rGPIO_VDIFM_CFG_SP_RGMII_3                (*(volatile unsigned *) 0x1330030CU)
#define rGPIO_VDIFM_CFG_SP_RGMII_4                (*(volatile unsigned *) 0x13300310U)
#define rGPIO_VDIFM_CFG_SP_RGMII_5                (*(volatile unsigned *) 0x13300314U)
#define rGPIO_VDIFM_CFG_SP_RGMII_6                (*(volatile unsigned *) 0x13300318U)
#define rGPIO_VDIFM_CFG_SP_RGMII_7                (*(volatile unsigned *) 0x1330031CU)
#define rGPIO_VDIFM_CFG_SP_RGMII_8                (*(volatile unsigned *) 0x13300320U)
#define rGPIO_VDIFM_CFG_SP_RGMII_9                (*(volatile unsigned *) 0x13300324U)
#define rGPIO_VDIFM_CFG_SP_RGMII_10               (*(volatile unsigned *) 0x13300328U)
#define rGPIO_VDIFM_CFG_SP_RGMII_11               (*(volatile unsigned *) 0x1330032CU)
#define rGPIO_VDIFM_CFG_SP_RGMII_12               (*(volatile unsigned *) 0x13300330U)
#define rGPIO_VDIFM_CFG_SP_RGMII_13               (*(volatile unsigned *) 0x13300334U)
#define rGPIO_VDIFM_CFG_SP_RGMII_14               (*(volatile unsigned *) 0x13300338U)
#define rGPIO_VDIFM_CFG_SP_RGMII_15               (*(volatile unsigned *) 0x1330033CU)
#define rGPIO_VDIFM_CFG_SP_RGMII_16               (*(volatile unsigned *) 0x13300340U)
#define rGPIO_VDIFM_CFG_SP_RGMII_17               (*(volatile unsigned *) 0x13300344U)
#define rGPIO_VDIFM_CFG_SP_RGMII_18               (*(volatile unsigned *) 0x13300348U)
#define rGPIO_VDIFM_CFG_SP_RGMII_19               (*(volatile unsigned *) 0x1330034CU)
#define rGPIO_VDIFM_CFG_SP_RGMII_20               (*(volatile unsigned *) 0x13300350U)
#define rGPIO_VDIFM_CFG_SP_RGMII_21               (*(volatile unsigned *) 0x13300354U)
#define rGPIO_VDIFM_CFG_SP_RGMII_22               (*(volatile unsigned *) 0x13300358U)
#define rGPIO_VDIFM_CFG_SP_RGMII_23               (*(volatile unsigned *) 0x1330035CU)
#define rGPIO_VDIFM_CFG_SP_RGMII_24               (*(volatile unsigned *) 0x13300360U)
#define rGPIO_VDIFM_CFG_SP_RGMII_25               (*(volatile unsigned *) 0x13300364U)
#define rGPIO_VDIFM_CFG_SP_RGMII_26               (*(volatile unsigned *) 0x13300368U)
#define rGPIO_VDIFM_STATUS_SP_RGMII               (*(volatile unsigned *) 0x1330038CU)
#endif // _SOC_FC__GPIO_VDIFM 

